<template>
  <div class="container">
    <ProductList v-if="this.$store.state.products.all" :products="products" />
    <Cart :cartProducts="cartProducts" :total="total" />
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import ProductList from '@/components/ProductList'
import Cart from '@/components/Cart'

export default {
  name: 'Products',
  components: {
    ProductList,
    Cart
  },
  data () {
    return {
      interval: null,
      time: 15000 // 15000
    }
  },
  computed: {
    ...mapGetters('products', {
      products: 'products'
    }),
    ...mapGetters('cart', {
      cartProducts: 'cartProducts',
      total: 'cartTotalPrice'
    })
  },
  async created () {
    await this.$store.dispatch('products/getProducts')
    this.interval = setInterval(() => {
      this.$store.dispatch('products/setRate')
      this.$store.dispatch('products/getProducts')
    }, this.time)
  },
  beforeDestroy () {
    this.clearInterval()
  }
}
</script>
